<?php
/**
 * Call2Pay API Demo 
 * version 1.0
 * 
 * author: Thorsten Kugler 
 * email: info@micropayment.de
 * supported 2009 by micropayment
 */

	require_once( 'config.php' );
	require_once( 'tools.php' );
	
	session_name('call2pay');
	session_start();

	//set products session array
	if(getPostVar('products') != "") {
		foreach (getPostVar('products') as $product) {
			$_SESSION["products"][$product] += 1;
		}
	}
		
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>Call2Pay API Demo</title>
	<link href="screen.css" rel="stylesheet">
	<script src="./lib/js/prototype-1.6.0.3.js" type="text/javascript"></script> 
</head>

<body>

	<div id="header" >
		<table width="608" align="center" class="header">
			<tr >
				<td width="100"><a href="c2p-demo.php"><img src="./img/c2p.gif" border="0"></a></td>
				<td align="left">Call2Pay - Demo</td>
			</tr>
		</table>
	</div>
	
	<div align="center">
	
		<!-- navigation START -->
		<table class="naviMain" width="608">
			<tr>    
				<td class="naviMainSelected" width="120"><img src="./img/icon.arrow.4x5.gif" align="absmiddle"> <a href="shoppingbag.php">Warenkorb</a> <?php print getCountShoppingbag()?></td>
				<td class="naviMainNotSelected" width="120"></td>
				<td class="naviMainNotSelected" width="120"></td>
				<td class="naviMainNotSelected"></td>
				<td class="naviMainNotSelected"></td>
			</tr>
		</table>
		<table class="naviSubTable" width="608">
			<tr>
				<td class="naviSub" width="80" ></td>
				<td class="naviSub" width="80"></td>
				<td class="naviSub" width="80"></td>
				<td class="naviSub" ></td>
				<td class="naviFooter" width="80"><a href="c2p-demo.php">Shop</a></td>
			</tr>
		</table>
		<!-- navigation END -->
	
		<table>
			<tr>
				<td class="border">
					
					<div id="content">
						<br />
						<b>Warenkorb:</b>
						<br />
						
						<br />
						<table width="100%">
							<form method="POST" action="./c2p-demo.php">	
						<?php
							
    						if(count($_SESSION['products']) > 0) {
				
	    						//set amount
   								$_SESSION['amount'] = 0;
								foreach  ($_SESSION['products'] as $product => $count) {
									$_SESSION['amount'] +=  ($aProductList[$product]['amount'] * $count);
								}
				
								//show all products in SESSION
								foreach ($_SESSION['products'] as $product => $count) {
   									print '<tr>';
									print 	'<td width="60" class="warenkorb">';
									print 		'<img src="./img/'.$product.'.jpg" height="30">';
									print	'</td>';
									print 	'<td width="150" class="warenkorb">'; 
    								print 		$aProductList[$product]['title'].'<br />';
    								print 	'</td>';
									print 	'<td  width="100" class="warenkorb">'; 
    								print 		formatAmount(($aProductList[$product]['amount']/100)).' '.PROJECT_CURRENCY;
	    							print 	'</td>';    
    								print 	'<td  width="100" class="warenkorb">'; 
    								print 		'<input align="absmiddle" style="font-size:9px;width:30px; height:10px;" type="text" name="count[]" id="count[]" value="'.$count.'">' . ' St&uuml;ck';
    								print 	'</td>'; 
									print 	'<td  width="250" class="warenkorb">';
									print 		'<input type="hidden" name="action" id="action" value="reCalc">'; 
									print 		'<input type="hidden" name="product[]" id="product[]" value="'.$product.'">';
    								print 	"</td>";    
    								print "</tr>";	
   								}
   							}
   							//no products available
   							else {
	   							print "<tr>
	   										<td>
	   											<em>Keine Produkte vorhanden</em>
	   										</td>
	   									</tr>"; 
   							}
   							print "</table><hr>";
   						?>
   						
   						<br />
   						
   						<table width="100%">
   							<tr>
   								<td width="60">
   									<input class="reCalc" type="submit" value="Aktualisieren">
   								</td>
   								<td width="150"><b>Gesamt-Summe</b>
   								</td>
   								<td width="100">
   									<?php
   										print formatAmount($_SESSION['amount'] / 100).' '.PROJECT_CURRENCY;
   									?>
   								</td>
   								<td width="100">
   								</td>
   								<td width="250">
   									<a href="precall.php"><img src="./img/payNow.png" border="0"></a>
   								</td>
   							</tr>
   						</table>
   					</form>
					<br />
					<br />
					<?php
						if ($_SESSION['error']) {
							print "<div class=statusError>
							<b><br />".$definedErrorCodes[$_SESSION['error']]."</b>
							<br /><br />
							</div><br /><br />";
						};
						$_SESSION['error'] = "";
					?>

					<br />
						Um weitere Produkte Ihrer Bestellung hinzuzuf&uuml;gen, gehen Sie bitte auf unsere <a href="./c2p-demo.php">Shop-Seite</a>

		</table>
		
	</div>
	
	<div id="footer" class="footer">
		<a href="http://techdoc.micropayment.de/" target="_blank">Technische Dokumentationen</a> | <a href="./readme.txt" target="_blank">Installationsanleitung</a> | <a href="https://www.micropayment.de/" target="_blank">micropayment&trade;</a><br />
		Call2Pay API Demo, version 1.0<br />
		powered 2009 by micropayment&trade;<br />
	</div>

</body>
</html>