<?php
/**
 * Call2Pay API Demo 
 * version 1.0
 * 
 * author: Thorsten Kugler 
 * email: info@micropayment.de
 * supported 2009 by micropayment
 */
    
	//call2pay service class
	class c2pService {
		
		var $aParameter = array();
		var $request = "";
		
		function setParameter($name, $value) {
			$this -> aParameter[$name] = $value;
		}
		
		function getParameter($name) {
			return $this -> aParameter[$name];
		}
		
		// liefert Rckgabe bzw. Defaultwert 
		function getResult($name, $default = '') {
			return isset($this -> arrResult[$name]) ? $this -> arrResult[$name] : $default;
		}
		
		function request() {
			$this -> setParameter('accesskey', MCP__ACCESSKEY);
			$this -> setParameter('testmode', MCP__TESTMODE);
			
			$this -> request = MCP__SERVICE_URL .'?';
			foreach ($this -> aParameter as $name => $value) {
				
				$this -> request .= '&' . $name . '=' . urlencode($value);
			}

			if (!$this -> response = file_get_contents($this -> request)) return false;
			
			preg_match_all('/^(\w+)(?:\[(\w+|\d+)\])?=(.*)$/m', $this -> response, $arrTemp);
			
			foreach ($arrTemp[1] as $i => $name) {
				if (empty($name)) continue;
				
				$index = $arrTemp[2][$i];
				$value = $arrTemp[3][$i];
				if ($index !== '') {
					if (!is_array($this -> arrResult[$name])) $this -> arrResult[$name] = array();
					$this -> arrResult[$name][$index] = urldecode($value);
				}
				else {
					$this -> arrResult[$name] = urldecode($value);
				}
			}
			return true;
			
		}
	}

// ermittelt GET-Param oder defaultwert
	function getGetVar($name, $default = '') {
		return isset($_GET[$name]) ? $_GET[$name] : $default;
	}
// ermittelt POST-Param oder defaultwert
	function getPostVar($name, $default = '') {
		return isset($_POST[$name]) ? $_POST[$name] : $default;
	}
// ermittelt SESSION-Variable oder defaultwert
	function getSessionVar($name, $default = '') {
		return isset($_SESSION[$name]) ? $_SESSION[$name] : $default;
	}
// ermittelt SESSION-Variable oder defaultwert
	function setSessionVar($name, $value) {
		$_SESSION[$name] = $value;
	}

	
	//sets a counter to interface
	function getCountShoppingbag() {
		
		session_name('call2pay');
		session_start();
		
		//get products from session
		$countWarenkorb = 0;
		if (isset($_SESSION['products'])) {
			foreach  ($_SESSION['products'] as $product => $count) {
				$countWarenkorb += $count;
			}
			return  "<b>(".$countWarenkorb.")</b>";
		} else {
			return "<b>(0)</b>";;
		}
	}

	function formatAmount($amount) {
		return number_format($amount, 2, ',', '.');
	}

	
?>